Upload
Upload file
POST
/
v1
/
upload
Upload file
curl --request POST \
--url https://api.vidjutsu.ai/v1/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '"<string>"'import requests
url = "https://api.vidjutsu.ai/v1/upload"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify('<string>')
};
fetch('https://api.vidjutsu.ai/v1/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assetId": "<string>",
"url": "<string>",
"key": "<string>",
"size": 123
}{
"error": "<string>",
"message": "<string>",
"setup": "<string>"
}{
"error": "<string>",
"message": "<string>",
"setup": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
*/*
The body is of type file.
⌘I
Upload file
